Subject: RE: bug#6799: 24.0.50; Please add dired-details.el to Emacs [patch]

From: "Drew Adams" <[email-masked]>
Date: Thu, 12 Apr 2012 13:05:06 -0700

As I have said several times now, ask Rob Giardina.  He made a whole set of
changes to various Emacs files, including perhaps C code.  I am not aware of
what changes he made. 

Rob has sent mail as recently as 2011/11/29 to [email-masked].  His
address for that was [email-masked].  (No, I do not subscribe to that mailing
list.  But I know how to use Google.)  Please contact Rob.

> > Please contact Rob Giardina.  I believe that he patched the existing
> > Dired code (and some C code? and some other Lisp code?), doing
> > everything that was needed.
> 
> If you want this code included in Emacs, please assemble the patch and
> post it here.

It is not a question of "if I want".  It was decided by RMS that this should be
included in Emacs.  Long, long ago.  Rob did the work required for this to
happen, but no one ever committed it, AFAIK.

What I use, personally, is dired-details.el plus dired-details+.el, and they
suffice.  But Rob went to the trouble of patching Emacs in various places,
integrating the features cleanly at a more basic level etc.

I have no idea what Rob's changes were, but if you search the mailing list
perhaps you can find references to them.  Rob refers to a patch for 2005-07-07
CVS, here:
http://comments.gmane.org/gmane.emacs.devel/74172

Here is the last mail from Rob on the subject, AFAIK:
http://lists.gnu.org/archive/html/emacs-devel/2007-07/msg00215.html

Here is my last mail on the subject, with relevant links: 

> From: Drew Adams Sent: Sunday, July 19, 2009 7:34 AM
> > I discovered dired-details and dired-details+ and found them useful.
> > Could they be added to emacs?
> > 
> > http://www.emacswiki.org/emacs/DiredDetails
> 
> They were supposed to be added. Rob Giardina submitted an 
> Emacs 23 patch two years ago that integrates the functionality
> of both in a better way even than the separate libraries
> dired-details[+].el. 
> 
> I don't think any reason was ever given for why the patch 
> wasn't incorporated (committed). RMS asked for comment on
> the merged code, but no one ever answered his request
> (on emacs-devel, at least). The last time I ping'ed the
> list about this was 2008-07 - I never got an answer either.
> 
> Last ping:
> http://lists.gnu.org/archive/html/emacs-devel/2008-07/msg01152.html
> 
> Rob's change log and RMS's call for comment:
> http://lists.gnu.org/archive/html/emacs-devel/2007-07/msg01187.html
> 
> Original thread:
> http://lists.gnu.org/archive/html/emacs-devel/2007-07/msg00226.html